
    <!-- Row -->

    <div fxLayout="row" fxLayoutWrap="wrap">
      <!-- column -->
      <div fxFlex.gt-sm="50" fxFlex.gt-xs="50">
        <div class="mat-elevation-z2">
          <table mat-table [dataSource]="dataSource" matSort>
            <ng-container matColumnDef="vin">
              <th mat-header-cell *matHeaderCellDef mat-sort-header> VIN </th>
              <td mat-cell *matCellDef="let row">
                {{row.vin}}
              </td>
            </ng-container>

            <ng-container matColumnDef="client">
              <th mat-header-cell *matHeaderCellDef mat-sort-header> {{ 'vehicles-list.grid.client' | translate }} </th>
              <td mat-cell *matCellDef="let row">
                {{row.clientName}}
              </td>
            </ng-container>

            <ng-container matColumnDef="make">
              <th mat-header-cell *matHeaderCellDef mat-sort-header> {{ 'vehicles-list.grid.make' | translate }} </th>
              <td mat-cell *matCellDef="let row">
                {{row.make}}
              </td>
            </ng-container>

            <ng-container matColumnDef="regNum">
              <th mat-header-cell *matHeaderCellDef mat-sort-header> {{ 'vehicles-list.grid.register' | translate }} </th>
              <td mat-cell *matCellDef="let row">
                {{row.regNum}}
              </td>
            </ng-container>

            <ng-container matColumnDef="status">
              <th mat-header-cell *matHeaderCellDef mat-sort-header> {{ 'vehicles-list.grid.status' | translate }} </th>
              <td mat-cell *matCellDef="let row" [style.color]="row.statusColor">
                {{ 'vehicles-list.filter.filter-placeholder.' + row.statusName | translate }}
              </td>
            </ng-container>

            <tr mat-header-row *matHeaderRowDef="getDisplayedColumns()"></tr>
            <tr mat-row *matRowDef="let row; columns: getDisplayedColumns()"></tr>
          </table>

          <mat-paginator [pageSize]="10" [pageSizeOptions]="[5, 10, 25, 100]"></mat-paginator>
        </div>

      </div>
    </div>
